| DayF core 1.2.1.2 DayF (Decision at your Fingertips) is an AutoML freeware development framework that let developers works with Machine Learning models without any idea of AI, simply taking a csv dataset and the objective column

Public Member Functions | List of all members
gdayf.models.parametersmetadata.ParameterMetadata Class Reference

Class Parameter metadata. More...

Inheritance diagram for gdayf.models.parametersmetadata.ParameterMetadata:
[legend]
Collaboration diagram for gdayf.models.parametersmetadata.ParameterMetadata:
[legend]

## Public Member Functions
def | __init__ (self)
| Constructor.
def | set_value (self, value, seleccionable=True, type=None)
| Method for setting values on all field. More...
def | set_seleccionable (self, boolean)
| Method for setting values on seleccionable field. More...
def | get_seleccionable (self)
| Method for getting values on seleccionable field. More...

## Detailed Description

Class Parameter metadata.

Definition at line 22 of file parametersmetadata.py.

## Member Function Documentation

## ◆ get_seleccionable()

def gdayf.models.parametersmetadata.ParameterMetadata.get_seleccionable | ( |  | self | ) |

Method for getting values on seleccionable field.

Returns
  Seleccionable value

Definition at line 43 of file parametersmetadata.py.

## ◆ set_seleccionable()

def gdayf.models.parametersmetadata.ParameterMetadata.set_seleccionable | ( |  | self,
|  |  | boolean
| ) |  |

Method for setting values on seleccionable field.

Parameters

  boolean | True/False

Definition at line 38 of file parametersmetadata.py.

## ◆ set_value()

def gdayf.models.parametersmetadata.ParameterMetadata.set_value | ( |  | self,
|  |  | value,
|  |  | seleccionable = `True`,
|  |  | type = `None`
| ) |  |

Method for setting values on all field.

Parameters

  value | value
  seleccionable | True/False
  type | value's options

Definition at line 31 of file parametersmetadata.py.

The documentation for this class was generated from the following file:

- D:/OneDrive/DayF/git/gdayf-core/src/gdayf/models/parametersmetadata.py